<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 05일 금요일 오전 0시 45분 / 맑음, 10.2, 쾌적, 16, 7, 24%, 30%, 1.9ms / 보통, 37, 22

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 프로그램 > 피리 카페 관리 > 검색어 입력 > 처리하기
=====================================================================


*/

  include_once('./_common.php');

  $get__p770000_conf = 0;

  $get__p770099 = 1;

  $prog_config_page = 0;

  include_once( piree__path($piree_prog_a[770099]['num'], 'config') );

  include_once( "./_CAFE.MANAGE.INFO.CHECK.inc.php" );

  $piree_cafe_regist_time_n = G5_SERVER_TIME;

  $return_url_s = PIREE_CAFE_MANAGE_URL .'/search.keyword.php?piree_cafe_n='. $piree_cafe_n;

  $keyword_s = isset($_POST['keyword_s']) ? strip_tags($_POST['keyword_s']) : '';

  IF ( !$keyword_s )
  {
    alert("[ 검색어 ]를 입력해 주세요.", $return_url_s);
  }

  $keyword_s = str_replace(" ", "", $keyword_s);
  $keyword_s = str_replace(",", "", $keyword_s);
  $keyword_s = str_replace(".", "", $keyword_s);
  $keyword_s = str_replace("/", "", $keyword_s);
  $keyword_s = str_replace("-", "", $keyword_s);
  $keyword_s = str_replace("_", "", $keyword_s);

  $save_keyword_3_s = utf8_strcut($keyword_s, 3, '');

/*

  $sql_delete = "DELETE FROM `". $piree['cafe_keyword'] ."`";

  IF ( !sql_query($sql_delete) )
  {

    alert("", $return_url_s);
    echo "#ERROR:검색어를 BASE ROW를 삭제하지 못했습니다.";
    alert("", $return_url_s);

  }

  $sql_delete  = "DELETE FROM `". $piree['cafe_keyword'] ."` ";
  $sql_delete .= "WHERE `cfkw_prog_n` = '780021' AND `cfkw_jipp_n` = '". $jipp_n ."' AND `cfkw_keyword_s` = '대한민국'";

  IF ( !sql_query($sql_delete) )
  {

    alert("", $return_url_s);
    echo "#ERROR:검색어를 BASE ROW를 삭제하지 못했습니다.";
    alert("", $return_url_s);

  }

*/

    $sql_select  = "SELECT * FROM `". $piree['cafe_keyword'] ."` ";
    $sql_select .= "WHERE `cfkw_cafe_n` = '". $piree_cafe_n ."' AND `cfkw_keyword_s` = '". $keyword_s ."'";
    $keyword_row = sql_fetch($sql_select);

    IF ( $piree_cafe_n == $keyword_row['cfkw_cafe_n'] && $keyword_s == $keyword_row['cfkw_keyword_s'] )
    {

      alert("이미 저장된 [ 검색어 ] 입니다.", $return_url_s);

    }

    $sql_select  = "SELECT COUNT(*) FROM `". $piree['cafe_keyword'] ."` ";
    $sql_select .= "WHERE `cfkw_cafe_n` = '". $piree_cafe_n ."'";
    $keyword_t = (int)sql_efv($sql_select);

    IF ( $keyword_t >= 5 )
    {

      alert("피리 카페에 검색어는 5개 까지만 입력할수 있습니다.", $return_url_s);

    }

    $keyword_t++;

//( piree__path($piree_prog_a[770000]['num'], 'save.lib.php') );

    $sql_insert  = "INSERT INTO `". $piree['cafe_keyword'] ."` SET ";
    $sql_insert .= "`cfkw_cafe_n`      = '". $piree_cafe_n ."', ";
    $sql_insert .= "`cfkw_cafe_c`      = '". $piree_cafe_code_c ."', ";
    $sql_insert .= "`cfkw_mem_n`       = '". $member['mb_no'] ."', ";
    $sql_insert .= "`cfkw_keyword_3_s` = '". $save_keyword_3_s ."', ";
    $sql_insert .= "`cfkw_keyword_s`   = '". $keyword_s ."', ";
    $sql_insert .= "`cfkw_seq_n`       = '". $keyword_t ."', ";
    $sql_insert .= "`cfkw_ip_s`        = '". $_SERVER['REMOTE_ADDR'] ."', ";
    $sql_insert .= "`cfkw_regi_time_n` = '". $piree_cafe_regist_time_n ."'";

    IF ( !sql_query($sql_insert) )
    {

      alert("검색어 [ ". $piree_cafe_name_s ." ( ". $piree_cafe_code_c ." ) ] 의\\n\\n ROW를 입력하지 못했습니다.", $return_url_s);

    }

    $keyword_n = sql_insert_id();

    $sql_update  = "UPDATE `". $piree['cafe'] ."` SET ";
    $sql_update .= "`cafe_keyword_t` = '". $keyword_t ."' ";
    $sql_update .= "WHERE `cafe_row_n` = '". $piree_cafe_n ."'";

    IF ( !sql_query($sql_update) )
    {

      alert("카페 [ ". $piree_cafe_name_s ." ( ". $piree_cafe_code_c ." ) ] 의\\n\\n검색어 수를 새로고침하지 못했습니다.", $return_url_s);

    }

  $go_url_s = PIREE_CAFE_MANAGE_URL .'/search.keyword.php?piree_cafe_n='. $piree_cafe_n;

  goto_url($go_url_s);
  EXIT;

  alert("피리 카페 검색어 [ ". $keyword_s ." ] 를 입력 하였습니다.", $go_url_s);
  EXIT;

?>